MONGOC_DATABASE_REMOVE_ALL_USERS(3)

NAME
mongoc_database_remove_all_users - mongoc_database_remove_all_users()

SYNOPSIS

bool
mongoc_database_remove_all_users (mongoc_database_t *database,
                                  bson_error_t *error);

This function will remove all users configured to access database.

PARAMETERS

•   database: A mongoc_database_t.

•   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter. This may fail if there are socket errors or the current user is not authorized to perform the given command.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc